# Please DO NOT UPGRADE this package to 5.1.0 or later!
#
# Oxygen 5.0.x matches the look&feel of the KDE 4 theme. Oxygen 5.1.0 got major
# changes which make the look&feel closer to Breeze, and can be built against
# KDE 4 to obtain the same look&feel there. We want to keep the original KDE 4
# Oxygen look&feel on Fedora <= 21.

%global         base_name oxygen

Name:           plasma-%{base_name}
# // !!! DO NOT UPGRADE! See comment at the top! !!! \\
Version:        5.0.2
# \\ !!! DO NOT UPGRADE! See comment at the top! !!! //
Release:        4%{?dist}
Summary:        Oxygen widget style for Qt 5

License:        GPLv2+
URL:            https://projects.kde.org/projects/kde/workspace/oxygen

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/plasma/%{version}/%{base_name}-%{version}.tar.xz

# Qt 5
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtx11extras-devel

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules

# KF5
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kguiaddons-devel
BuildRequires:  kf5-kwidgetsaddons-devel
BuildRequires:  kf5-kservice-devel
BuildRequires:  kf5-kcompletion-devel
BuildRequires:  kf5-frameworkintegration-devel
BuildRequires:  kf5-kwindowsystem-devel

%description
A port of the KDE 4 Oxygen widget style to Qt 5 / KDE Frameworks 5, so Qt 5
and KDE Frameworks 5 applications integrate seamlessly into KDE 4.

%package -n     qt5-style-oxygen
Summary:        Oxygen widget style for Qt 5
Obsoletes:      plasma-oxygen < 5.0.2-3

%description -n qt5-style-oxygen
A port of the KDE 4 Oxygen widget style to Qt 5 / KDE Frameworks 5, so Qt 5
and KDE Frameworks 5 applications integrate seamlessly into KDE 4.

%prep
%setup -q -n %{base_name}-%{version}
# disable cursors and sounds
sed -i -e 's/^add_subdirectory(cursors)$/#add_subdirectory(cursors)/g' \
    -e 's/^add_subdirectory(sounds)$/#add_subdirectory(sounds)/g' CMakeLists.txt
# fix file conflicts with kde-l10n
for i in po/* ; do
  if [ -f $i/liboxygenstyleconfig.po ] ; then
    mv -f $i/liboxygenstyleconfig.po $i/liboxygenstyleconfig5.po
  fi
done
# fix TRANSLATION_DOMAIN as per the above
sed -i -e 's/liboxygenstyleconfig/liboxygenstyleconfig5/g' liboxygen/CMakeLists.txt

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} -DCMAKE_DISABLE_FIND_PACKAGE_KDecorations:BOOL=TRUE ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
# don't ship -devel files
rm -f %{buildroot}%{_libdir}/*.so
%find_lang oxygen --with-qt --all-name

%post -n    qt5-style-oxygen -p /sbin/ldconfig

%postun -n  qt5-style-oxygen -p /sbin/ldconfig

%files -n   qt5-style-oxygen -f oxygen.lang
%doc COPYING
%{_bindir}/oxygen-demo5
%{_bindir}/oxygen-settings5
%{_libdir}/liboxygenstyle5.so.*
%{_libdir}/liboxygenstyleconfig5.so.*
%{_kf5_qtplugindir}/kstyle_oxygen_config.so
%{_kf5_qtplugindir}/styles/oxygen.so
%{_datadir}/kstyle/themes/oxygen.themerc

%changelog
* Tue Feb 10 2015 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.0.2-4
- Fix file conflicts with kde-l10n

* Wed Nov 19 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.0.2-3
- Merge the packaging improvements from the specfile that passed review
- Remove unneeded Requires: kf5-filesystem
- Rename the binary RPM to qt5-style-oxygen, disable the main (meta)package

* Sat Oct 25 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.0.2-2
- Change summary and description
- Disable the KWin style, the cursors and the sounds
- Disable unneeded -devel subpackage
- Use make install/fast

* Tue Sep 16 2014 Daniel Vrátil <dvratil@redhat.com> - 5.0.2-1
- Plasma 5.0.2

* Sun Aug 10 2014 Daniel Vrátil <dvratil@redhat.com> - 5.0.1-1
- Plasma 5.0.1

* Thu Jul 24 2014 Daniel Vrátil <dvratil@redhat.com> - 5.0.0-2
- Does not conflict with kde-style-oxygen 4

* Thu Jul 17 2014 Daniel Vrátil <dvratil@redhat.com> - 5.0.0-1
- Plasma 5.0.0

* Thu May 15 2014 Daniel Vrátil <dvratil@redhat.com> - 4.90.1-1.20140515git9651288
- Intial snapshot
